Jump to content
limetech

Unraid OS version 6.8 available

254 posts in this topic Last Reply

Recommended Posts

To upgrade:

  • If you are running any 6.4 or later release, click 'Check for Updates' on the Tools/Update OS page.
  • If you are running a pre-6.4 release, click 'Check for Updates' on the Plugins page.
  • If the above doesn't work, navigate to Plugins/Install Plugin, select/copy/paste this plugin URL and click Install:
    https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg

     

Refer also to @ljm42 excellent 6.4 Update Notes which are helpful especially if you are upgrading from a pre-6.4 release.

 

Bugs: If you discover a bug or other issue in this release, please open a Stable Releases Bug Report.

 

New in Unraid OS 6.8 release:

 

The Update OS tool still downloads the new release zip file to RAM but then extracts directly to USB flash boot device.  You will probably notice a slight difference in speed of extract messages.  Also the 'sync' command at the end has been replaced with 'sync -f /boot' to prevent spin-up of all devices before the operation is considered complete.

 

Forms based authentication
If you have set a root password for your server, when accessing webGUI you'll now see a nice login form.  There still is only one user for Unraid so for username enter root.  This form should be compatible with all major password managers out there.  We always recommend using a strong password.  There is no auto-logout implemented yet, please click Logout on menu bar or completely close your browser to logout.

 

Linux kernel

We started 6.8 development and initial testing using Linux 5.x kernel.  However there remains an issue when VM's and Docker containers using static IP addresses are both running on the same host network interface.  This issue does not occur with the 4.19 kernel.  We are still studying this issue and plan to address it in the Unraid 6.9 release.

 

Changes to the kernel include:

  • Update to 4.19.88
  • Include latest Intel microcode for yet another hardware vulnerability mitigation.
  • Default scheduler now 'mq-deadline', but this can be changed via new Settings/Disk Settings/Scheduler setting.
  • Enabled Huge Page support, though no UI control yet.
  • binfmt_misc support.
  • Fix chelsio missing firmware.
  • Added oot: Realtek r8125: version 9.002.02
  • Removed Highpoint r750 driver [does not work]

 

md/unraid driver

Introduced "multi-stream" support:

  • Reads on devices which are not being written should run at full speed.  In addition, if you have set the md_write_method tunable to "reconstruct write", then while writing, if any read streams are detected, the write method is switched to "read/modifywrite".
  • Parity sync/check should run at full speed by default.
  • Parity sync/check is throttled back in presence of other active streams.
  • The "stripe pool" resource is automatically shared evenly between all active streams.

 

As a result got rid of some Tunables:

  • md_sync_window
  • md_sync_thresh

and added some tunables:

  • md_queue_limit
  • md_sync_limit
  • [-rc2] md_scheduler

 

Please refer to Settings/Disk Settings help text for description of these settings.


WireGuard® support - available as a plugin via Community Apps.  Our WireGuard implementation and UI is still a work-in-process; for this reason we have made this available as a plugin, though the latest WireGuard module is included in our Linux kernel.  I want to give special thanks to @bonienl who wrote the plugin with lots of guidance from @ljm42 - thank you!  I also should give a shout out to @NAS who got us rolling on this.  If you don't know about WireGuard it's something to look into!

 

Note: WireGuard is a registered trademark of Jason A. Donenfeld.

 

Guide here:


WS-Discovery support - Finally you can get rid of SMBv1 and get reliable Windows network discovery.  This feature is configured on the Settings/SMB Settings page and enabled by default.

  • Also on same settings page is Enable NetBIOS setting.  This is enabled by default, however if you no longer have need for NetBIOS discovery you can turn it off.  When turned off, Samba is configured to accept only SMBv2 protocol and higher.
  • Added mDNS client support in Unraid OS.  This means, for example, from an Unraid OS terminal session to ping another Unraid OS server on your network you can use (e.g., 'tower'):
    ping tower.local
    instead of
    ping tower
    Note the latter will still work if you have NetBIOS enabled.

 

User Share File System (shfs) changes:

  • Integrated FUSE-3 - This should increase performance of User Share File System.
  • Fixed bug with hard link support.  Previously a 'stat' on two directory entries referring to same file would return different i-node numbers, thus making it look like two independent files.  This has been fixed however there is a config setting on Settings/Global Share Settings called "Tunable (support hard links)".  The default is Yes, but with certain very old media and DVD players which access shares via NFS, you may need to set this to No.
  • Note: if you have custom config/extra.cfg file, get rid of any lines specifying additional FUSE options unless you know they are compatible with FUSE-3.


Other improvements/bug fixes:

  • Fixed SQLite DB Corruption bug.
  • Format - during Format any running parity sync/check is automatically Paused and then resumed upon Format completion.
  • Encryption - an entered passphrase is not saved to any file.
  • Fixed bug where multi-device btrfs pool was leaving metadata set to dup instead of raid1.
  • Fixed bug where quotes were not handled properly in passwords.
  • Numerous base package updates including updating PHP to version 7.3.x, Samba to version 4.11.x.
  • Several other small bug fixes and improvements.

 

Known Issues and Other Errata

  • Some users have reported slower parity sync/check rates for very wide arrays (20+ devices) vs. 6.7 and earlier releases - we are still studying this problem.
  • In another step toward better security, the USB flash boot device is configured so that programs and scripts residing there cannot be directly executed (this is because the 'x' bit is set now only for directories).  Commands placed in the 'go' file still execute because during startup, that file is copied to /tmp first and then executed from there.  If you have created custom scripts you may need to take a similar approach.
  • AFP is now deprecated and we plan to remove support.

 

A note on password strings

Password strings can contain any character however white space (space and tab characters) is handled specially:

  • all leading and trailing white space is discarded
  • multiple embedded white space is collapsed to a single space character.

By contrast, encryption passphrase is used exactly as-is.

 

Version 6.8.0 2019-12-10

Base distro:

  • aaa_elflibs: version 15.0 build 16
  • acpid: version 2.0.32
  • adwaita-icon-theme: version 3.34.3
  • at-spi2-atk: version 2.34.1
  • at-spi2-core: version 2.34.0
  • at: version 3.2.1
  • atk: version 2.34.1
  • bash: version 5.0.011
  • binutils: version 2.33.1
  • btrfs-progs: version 5.4
  • bzip2: version 1.0.8
  • ca-certificates: version 20191130
  • cifs-utils: version 6.9
  • cpio: version 2.13
  • cryptsetup: version 2.2.2
  • curl: version 7.67.0
  • dbus-glib: version 0.110
  • dbus: version 1.12.16
  • dhcpcd: version 8.1.2
  • docker: version 19.03.5
  • e2fsprogs: version 1.45.4
  • ebtables: version 2.0.11
  • encodings: version 1.0.5
  • etc: version 15.0
  • ethtool: version 5.3
  • expat: version 2.2.9
  • file: version 5.37
  • findutils: version 4.7.0
  • freetype: version 2.10.1
  • fuse3: version 3.6.2
  • gdbm: version 1.18.1
  • gdk-pixbuf2: version 2.40.0
  • git: version 2.24.0
  • glib2: version 2.62.3
  • glibc-solibs: version 2.30
  • glibc-zoneinfo: version 2019c
  • glibc: version 2.30
  • glu: version 9.0.1
  • gnutls: version 3.6.11.1
  • gtk+3: version 3.24.13
  • harfbuzz: version 2.6.4
  • haveged: version 1.9.8
  • hostname: version 3.23
  • hwloc: version 1.11.13
  • icu4c: version 65.1
  • intel-microcode: version 20191115
  • iproute2: version 5.4.0
  • iptables: version 1.8.4
  • iputils: version 20190709
  • irqbalance: version 1.6.0
  • kernel-firmware: version 20191118_e8a0f4c
  • keyutils: version 1.6
  • less: version 551
  • libICE: version 1.0.10
  • libX11: version 1.6.9
  • libXi: version 1.7.10
  • libXt: version 1.2.0
  • libarchive: version 3.4.0
  • libcap-ng: version 0.7.10
  • libcroco: version 0.6.13
  • libdrm: version 2.4.99
  • libedit: version 20191025_3.1
  • libepoxy: version 1.5.4
  • libevdev: version 1.7.0
  • libevent: version 2.1.11
  • libgcrypt: version 1.8.5
  • libgudev: version 233
  • libidn2: version 2.3.0
  • libjpeg-turbo: version 2.0.3
  • libnftnl: version 1.1.5
  • libnl3: version 3.5.0
  • libpcap: version 1.9.1
  • libpciaccess: version 0.16
  • libpng: version 1.6.37
  • libpsl: version 0.21.0
  • librsvg: version 2.46.4
  • libseccomp: version 2.4.1
  • libssh2: version 1.9.0
  • libtasn1: version 4.15.0
  • libusb: version 1.0.23
  • libvirt-php: version 20190803
  • libvirt: version 5.8.0 (CVE-2019-10161, CVE-2019-10166, CVE-2019-10167, CVE-2019-10168)
  • libwebp: version 1.0.3
  • libxml2: version 2.9.10
  • libxslt: version 1.1.34
  • libzip: version 1.5.2
  • lm_sensors: version 3.6.0
  • logrotate: version 3.15.1
  • lsof: version 4.93.2
  • lsscsi: version 0.30
  • lvm2: version 2.03.07
  • lz4: version 1.9.1
  • mkfontscale: version 1.2.1
  • mozilla-firefox: version 71.0 (CVE-2019-11751, CVE-2019-11746, CVE-2019-11744, CVE-2019-11742, CVE-2019-11736, CVE-2019-11753, CVE-2019-11752, CVE-2019-9812, CVE-2019-11741, CVE-2019-11743, CVE-2019-11748, CVE-2019-11749, CVE-2019-5849, CVE-2019-11750, CVE-2019-11737, CVE-2019-11738, CVE-2019-11747, CVE-2019-11734, CVE-2019-11735, CVE-2019-11740, CVE-2019-11754, CVE-2019-9811, CVE-2019-11711, CVE-2019-11712, CVE-2019-11713, CVE-2019-11714, CVE-2019-11729, CVE-2019-11715, CVE-2019-11716, CVE-2019-11717, CVE-2019-1 1718, CVE-2019-11719, CVE-2019-11720, CVE-2019-11721, CVE-2019-11730, CVE-2019-11723, CVE-2019-11724, CVE-2019-11725, CVE-2019-11727, CVE-2019-11728, CVE-2019-11710, CVE-2019-11709) (CVE-2018-6156, CVE-2019-15903, CVE-2019-11757, CVE-2019-11759, CVE-2019-11760, CVE-2019-11761, CVE-2019-11762, CVE-2019-11763, CVE-2019-11765, CVE-2019-17000, CVE-2019-17001, CVE-2019-17002, CVE-2019-11764) (CVE-2019-11756, CVE-2019-17008, CVE-2019-13722, CVE-2019-11745, CVE-2019-17014, CVE-2019-17009, CVE-2019-17010, CVE-2019-17005, CVE-2019-17011, CVE-2019-17012, CVE-2019-17013)
  • nano: version 4.6
  • ncurses: version 6.1_20191026
  • net-tools: version 20181103_0eebece
  • nettle: version 3.5.1
  • network-scripts: version 15.0
  • nghttp2: version 1.40.0
  • nginx: version 1.16.1 (CVE-2019-9511, CVE-2019-9513, CVE-2019-9516)
  • nodejs: version 10.16.3
  • nss-mdns: version 0.14.1
  • ntp: version 4.2.8p13
  • openldap-client: version 2.4.48
  • openssh: version 8.1p1
  • openssl-solibs: version 1.1.1d
  • openssl: version 1.1.1d
  • p11-kit: version 0.23.18.1
  • pcre2: version 10.34
  • php: version 7.3.12 (CVE-2019-11042, CVE-2019-11041) (CVE-2019-11043)
  • pixman: version 0.38.4
  • pkgtools: version 15.0 build 28
  • procps-ng: version 3.3.15
  • qemu: version 4.1.1 (CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-11091) (CVE-2019-14378, CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-12068, CVE-2019-11091)
  • qrencode: version 4.0.2
  • rpcbind: version 1.2.5
  • rsyslog: version 8.1908.0
  • samba: version 4.11.3 (CVE-2019-10197) (CVE-2019-10218, CVE-2019-14833, CVE-2019-14847) (CVE-2019-14861, CVE-2019-14870)
  • sdparm: version 1.10
  • sessreg: version 1.1.2
  • setxkbmap: version 1.3.2
  • sg3_utils: version 1.44
  • shadow: version 4.7
  • shared-mime-info: version 1.15
  • sqlite: version 3.30.1
  • sudo: version 1.8.29
  • sysvinit-scripts: version 2.1
  • sysvinit: version 2.96
  • talloc: version 2.3.0
  • tdb: version 1.4.2
  • tevent: version 0.10.1
  • ttyd: version 20191025
  • usbutils: version 012
  • util-linux: version 2.34
  • wget: version 1.20.3
  • wireguard: version 0.0.20191206
  • wsdd: version 20180618 build 2
  • xauth: version 1.1
  • xclock: version 1.0.9
  • xfsprogs: version 5.3.0
  • xkeyboard-config: version 2.28
  • xorg-server: version 1.20.6
  • xrandr: version 1.5.1
  • xterm: version 351
  • xwininfo: version 1.1.5
  • zstd: version 1.4.4

Linux kernel:

  • version 4.19.88
  • CONFIG_BINFMT_MISC: Kernel support for MISC binaries
  • CONFIG_CGROUP_NET_PRIO: Network priority cgroup
  • CONFIG_DEBUG_FS: Debug Filesystem
  • CONFIG_DUMMY: Dummy net driver support
  • CONFIG_HUGETLBFS: HugeTLB file system support
  • CONFIG_ICE: Intel(R) Ethernet Connection E800 Series Support
  • CONFIG_IGC: Intel(R) Ethernet Controller I225-LM/I225-V support
  • CONFIG_IPVLAN: IP-VLAN support
  • CONFIG_IPVTAP: IP-VLAN based tap driver
  • CONFIG_IP_VS: IP virtual server support
  • CONFIG_IP_VS_NFCT: Netfilter connection tracking
  • CONFIG_IP_VS_PROTO_TCP: TCP load balancing support
  • CONFIG_IP_VS_PROTO_UDP: UDP load balancing support
  • CONFIG_IP_VS_RR: round-robin scheduling
  • CONFIG_MLX5_CORE_IPOIB: Mellanox 5th generation network adapters (connectX series) IPoIB offloads support
  • CONFIG_NETFILTER_XT_MATCH_IPVS: "ipvs" match support
  • CONFIG_NET_CLS_CGROUP: Control Group Classifier
  • CONFIG_SCSI_MQ_DEFAULT: SCSI: use blk-mq I/O path by default
  • CONFIG_SCSI_SMARTPQI: Microsemi PQI Driver
  • CONFIG_WIREGUARD: IP: WireGuard secure network tunnel
  • chelsio: add missing firmware
  • change schedulers from modules to built-ins
  • default scheduler now mq-deadline
  • md/unraid: version 2.9.13 (multi-stream support, do not fail read-ahead, more tunables)
  • increase BLK_MAX_REQUEST_COUNT from 16 to 32
  • oot: Highpoint rr3740a: version: v1.17.0_18_06_15
  • oot: Highpoint rsnvme: version v1.2.16_19_05_06
  • oot: Highpoint r750 removed (does not work)
  • oot: Intel ixgbe: version 5.6.5
  • oot: Realtek r8125: version 9.002.02
  • oot: Tehuti tn40xx: version 0.3.6.17.2
  • oot: Tehuti tn40xx: add x3310fw_0_3_4_0_9445.hdr firmware

Management:

  • add 'scheduler' tunable for array devices
  • auto-mount hugetlbfs to support kernel huge pages
  • emhttpd: fix improper handling of embedded quote characters in a password
  • emhttpd: correct footer notifications
  • emhttpd: do not write /root/keyfile if encryption passphrase provided via webGUI
  • emhttpd: properly handle encoded passwords
  • emhttpd: solve deadlock issue with 'emcmd' called from a plugin
  • extract OS upgrade directly to USB flash
  • fix btrfs bug where converting from single to multiple pool did not balance metadata to raid1, and converting from multiple to single did not balance metadata back to single.
  • fix shfs hard link initially reported as enabled but not actually enabled
  • fstab: mount USB flash boot device with root-only access
  • nginx.conf: configure all nginx worker threads to run as 'root'.
  • nginx: disable php session expiration
  • php: set very long session timeout
  • samba: if netbios enabled, set 'server min protocol = NT1'
  • shfs: fix bug not accounting for device(s) not mounted yet
  • shfs: support FUSE3 API changes; hard links report same st_ino; hard link support configurable
  • start/stop WireGuard upon server start/shutdown
  • support WS-Discovery method
  • support disabling NetBIOS, and set Samba 'min server procotol' and 'min client protocol' to SMB2 if disabled
  • support forms-based authentication
  • support mDNS local name resolution via avahi
  • unRAIDServer.plg (update OS) now executes 'sync -f /boot' instead of full sync at end of update
  • webgui: Add share access to user edit
  • webgui: Add shares: slashes are not allowed in share name
  • webgui: Add support for the self-hosted Gotify notification agent.
  • webgui: Added 'F1' key to toggle help text
  • webgui: Added AFP deprecated notice
  • webgui: Added UPnP to access script (to support WireGuard plugin)
  • webgui: Added VM XML files to diagnostics
  • webgui: Added cache and disk type to shares page
  • webgui: Added conditional UPnP setting on Management page
  • webgui: Aligned management page layout
  • webgui: Allow Safari to use websockets
  • webgui: Allow outside click to close popups
  • webgui: Change PluginHelpers download to be PHP Curl
  • webgui: Change dashbord link for mb/mem
  • webgui: Changed config folder of TELEGRAM
  • webgui: Dashboard: WG tunnel handshake in days when longer than 24 hours
  • webgui: Dashboard: add up/down arrows to VPN tunnel traffic
  • webgui: Dashboard: adjust column width for themes azure/gray
  • webgui: Dashboard: fix WG direction arrows
  • webgui: Dashboard: fixed user write + read counts
  • webgui: Dashboard: show titles without text-transform
  • webgui: Diagnostics: Adjust for timezone from webGUI
  • webgui: Diagnostics: Remove OSK info from VM xml
  • webgui: Do not display error if docker log files manually deleted
  • webgui: Docker and VM settings: validate path and name input
  • webgui: Docker: fixed multi container updates display oddity
  • webgui: Enable notifications by default
  • webgui: Enhanced display of network settings
  • webgui: Ensure spinner always ontop
  • webgui: Expanded help for Use Cache setting
  • webgui: Fix custom case png not surviving reboot
  • webgui: Fixed diagnostics errors when array was never started
  • webgui: Fixed docker container update state
  • webgui: Fixed misalignment of absent disk on Main page
  • webgui: Fixed popup window in foreground
  • webgui: Fixed typo in help text
  • webgui: Fixed typo in shares settings
  • webgui: Fixed: footer always on foreground
  • webgui: Fixed: undo cleanup of disk.png
  • webgui: Font, Icon and image cleanup
  • webgui: If a page is loaded via https, prevent it from loading resources via http (ie, block mixed content)
  • webgui: Improve Use Cache option
  • webgui: Integrate CAs Plugin Helper
  • webgui: Made notify script compatible with 6.8 new security scheme
  • webgui: Main page: consolidate spin up/down action and device status into one
  • webgui: Modified notify script to allow overriding email recipients in notification settings
  • webgui: Only create session when user successfully logs in; also enable session.use_strict_mode to prevent session fixation attacks
  • webgui: Open banner system to 3rd party apps
  • webgui: Plugin Helpers: Follow redirects on downloads
  • webgui: Rename docker repositories tab to template repositories
  • webgui: Revamp Banner Warning System
  • webgui: Select case correction + replace MD1510 for AVS-10/4
  • webgui: Standardize on lang="en"
  • webgui: Submit passphrases and passwords in base64 format
  • webgui: Support wireguard plugin in download.php
  • webgui: Switch download routine to be PHP Curl
  • webgui: Syslog: allow up to 5 digits port numbers
  • webgui: Telegram notification agent: enable group chat IDs, update helper description
  • webgui: Unraid fonts and cases update
  • webgui: Update ArrayDevices.page help text
  • webgui: Upgrade noVNC to git commit 9f557f5
  • webgui: Use complete HTML documents in popups
  • webgui: Warning alert for Format operations
  • webgui: dockerMan - Deprecate TemplateURL
  • webgui: dockerMan: Redownload Icon if URL changes
  • webgui: other minor text corrections
  • webgui: show warning on login page when browser cookies are disabled
  • webgui: support changed tunables on Disk Settings page
  • Like 9
  • Thanks 9

Share this post


Link to post

Linux kernel

We started 6.8 development and initial testing using Linux 5.x kernel.  However there remains an issue when VM's and Docker containers using static IP addresses are both running on the same host network interface.  This issue does not occur with the 4.19 kernel.  We are still studying this issue and plan to address it in the Unraid 4.19 release.

 

Typo above, I'm sure you meant Unraid 6.9 release.

  • Thanks 1
  • Haha 1

Share this post


Link to post
1 hour ago, jpowell8672 said:

Typo above, I'm sure you meant Unraid 6.9 release.

lol yes, thanks, corrected.

  • Like 1
  • Haha 1

Share this post


Link to post

Thank You. Booted right up. Can't wait to give WireGuard a try.

Love the new login page also!

Edited by wirenut

Share this post


Link to post

Having issues upgrading.

Getting the following message,

 

plugin: installing: https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg
plugin: downloading https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg
plugin: downloading: https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg ... failed (SSL verification failure)
plugin: wget: https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg download failure (SSL verification failure)
 

Share this post


Link to post
14 minutes ago, BF90X said:

Having issues upgrading.

Getting the following message,

 

plugin: installing: https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg
plugin: downloading https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg
plugin: downloading: https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg ... failed (SSL verification failure)
plugin: wget: https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg download failure (SSL verification failure)
 

My aplogies, please disregard.

It was my pfblocker causing the issue.

Rebooting after update now.

Share this post


Link to post

great work guys, glad to see this branch make it to stable!

 

can't wait to upgrade!

Share this post


Link to post

Some minor visual bug - on the dashboard tab, there is no icon for 'N/A' against one of the unavailable fans, I see a broken link instead

Share this post


Link to post
32 minutes ago, michael123 said:

Some minor visual bug - on the dashboard tab, there is no icon for 'N/A' against one of the unavailable fans, I see a broken link instead

Can you post a screenshot

Share this post


Link to post

Does this support 9th gen intel CPU's like the 9700k? I know RC7 worked great but RC8 didnt. So dont know if i should upgrade or not

Share this post


Link to post
28 minutes ago, scubieman said:

Does this support 9th gen intel CPU's like the 9700k? I know RC7 worked great but RC8 didnt. So dont know if i should upgrade or not

Probably not as this is using a 4.19 series kernel whereas RC7 was a 5.3 series kernel.   Limetech has said they will imminently being making a 6.9 rc release which is the 6.8 release but with the kernel updated to a 5.4 version so you should probably wait for that.

 

Share this post


Link to post
Probably not as this is using a 4.19 series kernel whereas RC7 was a 5.3 series kernel.   Limetech has said they will imminently being remaking a 6.9 rc release which is the 6.8 release but with the kernel updated to a 5.4 version so you should probably wait for that.
Thanks for the reply . I thought something was off or different I couldn't remember ha. Thanks again!!!!

Sent from my Pixel 2 XL using Tapatalk

Share this post


Link to post

Upgraded smoothly without any problem. Thanks! Great work.

Simple question: how do I remove script files located on the USB. I got an error message telling me Read-only file system.

 

Edited by Unraid_Noob

Share this post


Link to post

Warning to potential upgraders:

 

DOCKER PAGE DOES NOT LOAD.

I cannot see my dockers through the webUI. The Dashboard page loads neither Docker nor VMS. But individually, my VM page loads fine.

Docker page just sits there. Initiating Roll back :/
Edit: Everything works back on 6.7.2

Here's my log:

Dec 11 09:42:11 noraid ntpd[1805]: kernel reports TIME_ERROR: 0x41: Clock Unsynchronized
 

Dec 11 09:42:39 noraid nginx: 2019/12/11 09:42:39 [error] 10657#10657: *803 upstream timed out (110: Connection timed out) while reading response header from upstream, client: 10.0.0.100, server: , request: "POST /webGui/include/DashboardApps.php HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm.sock", host: "10.0.0.12", referrer: "http://10.0.0.12/webGui/include/DashboardApps.php"
 

Dec 11 09:43:02 noraid nginx: 2019/12/11 09:43:02 [error] 10657#10657: *475 upstream timed out (110: Connection timed out) while reading response header from upstream, client: 10.0.0.100, server: , request: "GET /plugins/dynamix.docker.manager/include/DockerContainers.php HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm.sock", host: "10.0.0.12", referrer: "http://10.0.0.12/plugins/dynamix.docker.manager/include/DockerContainers.php"

Edited by lockntross

Share this post


Link to post
1 hour ago, lockntross said:

Warning to potential upgraders:

 

DOCKER PAGE DOES NOT LOAD.

I cannot see my dockers through the webUI. The Dashboard page loads neither Docker nor VMS. But individually, my VM page loads fine.

Docker page just sits there. Initiating Roll back :/
Edit: Everything works back on 6.7.2

Here's my log:

Dec 11 09:42:11 noraid ntpd[1805]: kernel reports TIME_ERROR: 0x41: Clock Unsynchronized
 

Dec 11 09:42:39 noraid nginx: 2019/12/11 09:42:39 [error] 10657#10657: *803 upstream timed out (110: Connection timed out) while reading response header from upstream, client: 10.0.0.100, server: , request: "POST /webGui/include/DashboardApps.php HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm.sock", host: "10.0.0.12", referrer: "http://10.0.0.12/webGui/include/DashboardApps.php"
 

Dec 11 09:43:02 noraid nginx: 2019/12/11 09:43:02 [error] 10657#10657: *475 upstream timed out (110: Connection timed out) while reading response header from upstream, client: 10.0.0.100, server: , request: "GET /plugins/dynamix.docker.manager/include/DockerContainers.php HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm.sock", host: "10.0.0.12", referrer: "http://10.0.0.12/plugins/dynamix.docker.manager/include/DockerContainers.php"

Since nobody else seems to be encountering this issue (and those pages work fine for me) I suspect it is something non-obvious and  specific to your system.  

Unless you can provided the diagnostic zip file from your system when the problem was encountered it will be impossible to diagnose the cause.

Share this post


Link to post

Other than laggy mouse cursor movement on binhex-krusader everything else seems to work just fine.

Share this post


Link to post
40 minutes ago, itimpi said:

Since nobody else seems to be encountering this issue (and those pages work fine for me) I suspect it is something non-obvious and  specific to your system.  

Since you have not provided the diagnostic zip file from your system when the problem was encountered it is impossible to diagnose the cause.

Thanks, i think?

 

Just FYI - you come off a bit haughty and unhelpful.

 

 

There are many IT Pros here that use UnRAID -- but many more that are amateurs that use it. You should tune your assistance to the latter.
I'll try to get that "diagnostic zip" posted.

Edited by lockntross

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.